## GtkPlotPC GtkPlotPC — Plot Context |

## Functions

GtkObject * | gtk_plot_pc_new ()
gboolean | gtk_plot_pc_init ()
void | gtk_plot_pc_leave ()
void | gtk_plot_pc_set_viewport ()
void | gtk_plot_pc_gsave ()
void | gtk_plot_pc_grestore ()
void | gtk_plot_pc_clip ()
void | gtk_plot_pc_clip_mask ()
void | gtk_plot_pc_set_color ()
void | gtk_plot_pc_set_lineattr ()
void | gtk_plot_pc_set_dash ()
void | gtk_plot_pc_draw_point ()
void | gtk_plot_pc_draw_line ()
void | gtk_plot_pc_draw_lines ()
void | gtk_plot_pc_draw_rectangle ()
void | gtk_plot_pc_draw_polygon ()
void | gtk_plot_pc_draw_ellipse ()
void | gtk_plot_pc_draw_circle ()
void | gtk_plot_pc_set_font ()
void | gtk_plot_pc_draw_string ()
void | gtk_plot_pc_draw_pixmap ()

## Types and Values

struct | GtkPlotPC
enum | GtkPlotPageSize
enum | GtkPlotPageOrientation
enum | GtkPlotUnits
struct | GtkPlotPoint

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkPlotPC
                    ├── GtkPlotCairo
                    ├── GtkPlotGdk
                    ╰── GtkPlotPS

## Includes

    #include <gtkextra.h>

## Description

Base Class for GtkPlotCairo, GtkPlotGdk and GtkPlotPS.

## Functions

### gtk_plot_pc_new ()

    GtkObject *
    gtk_plot_pc_new (void);

### gtk_plot_pc_init ()

    gboolean
    gtk_plot_pc_init (GtkPlotPC *pc);

### gtk_plot_pc_leave ()

    void
    gtk_plot_pc_leave (GtkPlotPC *pc);

### gtk_plot_pc_set_viewport ()

    void
    gtk_plot_pc_set_viewport (GtkPlotPC *pc,
                              gdouble w,
                              gdouble h);

### gtk_plot_pc_gsave ()

    void
    gtk_plot_pc_gsave (GtkPlotPC *pc);

### gtk_plot_pc_grestore ()

    void
    gtk_plot_pc_grestore (GtkPlotPC *pc);

### gtk_plot_pc_clip ()

    void
    gtk_plot_pc_clip (GtkPlotPC *pc,
                      GdkRectangle *area);

### gtk_plot_pc_clip_mask ()

    void
    gtk_plot_pc_clip_mask (GtkPlotPC *pc,
                           gdouble x,
                           gdouble y,
                           GdkBitmap *mask);

### gtk_plot_pc_set_color ()

    void
    gtk_plot_pc_set_color (GtkPlotPC *pc,
                           GdkColor *color);

### gtk_plot_pc_set_lineattr ()

    void
    gtk_plot_pc_set_lineattr (GtkPlotPC *pc,
                              gfloat line_width,
                              GdkLineStyle line_style,
                              GdkCapStyle cap_style,
                              GdkJoinStyle join_style);

### gtk_plot_pc_set_dash ()

    void
    gtk_plot_pc_set_dash (GtkPlotPC *pc,
                          gdouble offset_,
                          gdouble *values,
                          gint num_values);

### gtk_plot_pc_draw_point ()

    void
    gtk_plot_pc_draw_point (GtkPlotPC *pc,
                            gdouble x,
                            gdouble y);

### gtk_plot_pc_draw_line ()

    void
    gtk_plot_pc_draw_line (GtkPlotPC *pc,
                           gdouble x1,
                           gdouble y1,
                           gdouble x2,
                           gdouble y2);

### gtk_plot_pc_draw_lines ()

    void
    gtk_plot_pc_draw_lines (GtkPlotPC *pc,
                            GtkPlotPoint *points,
                            gint numpoints);

### gtk_plot_pc_draw_rectangle ()

    void
    gtk_plot_pc_draw_rectangle (GtkPlotPC *pc,
                                gboolean filled,
                                gdouble x,
                                gdouble y,
                                gdouble width,
                                gdouble height);

### gtk_plot_pc_draw_polygon ()

    void
    gtk_plot_pc_draw_polygon (GtkPlotPC *pc,
                              gint filled,
                              GtkPlotPoint *points,
                              gint numpoints);

### gtk_plot_pc_draw_ellipse ()

    void
    gtk_plot_pc_draw_ellipse (GtkPlotPC *pc,
                              gboolean filled,
                              gdouble x,
                              gdouble y,
                              gdouble width,
                              gdouble height);

### gtk_plot_pc_draw_circle ()

    void
    gtk_plot_pc_draw_circle (GtkPlotPC *pc,
                             gint filled,
                             gdouble x,
                             gdouble y,
                             gdouble size);

### gtk_plot_pc_set_font ()

    void
    gtk_plot_pc_set_font (GtkPlotPC *pc,
                          GtkPSFont *psfont,
                          gint height);

### gtk_plot_pc_draw_string ()

    void
    gtk_plot_pc_draw_string (GtkPlotPC *pc,
                             gint x,
                             gint y,
                             gint angle,
                             const GdkColor *fg,
                             const GdkColor *bg,
                             gboolean transparent,
                             gint border,
                             gint border_space,
                             gint border_width,
                             gint shadow_width,
                             const gchar *font,
                             gint height,
                             GtkJustification just,
                             const gchar *text);

### gtk_plot_pc_draw_pixmap ()

    void
    gtk_plot_pc_draw_pixmap (GtkPlotPC *pc,
                             GdkPixmap *pixmap,
                             GdkBitmap *mask,
                             gint xsrc,
                             gint ysrc,
                             gint xdest,
                             gint ydest,
                             gint width,
                             gint height,
                             gdouble scale_x,
                             gdouble scale_y);

## Types and Values

### struct GtkPlotPC

    struct GtkPlotPC;

### enum GtkPlotPageSize

#### Members

GTK_PLOT_LETTER |  |
GTK_PLOT_LEGAL |  |
GTK_PLOT_A4 |  |
GTK_PLOT_EXECUTIVE |  |
GTK_PLOT_CUSTOM |  |

### enum GtkPlotPageOrientation

#### Members

GTK_PLOT_PORTRAIT |  |
GTK_PLOT_LANDSCAPE |  |

### enum GtkPlotUnits

#### Members

GTK_PLOT_PSPOINTS |  |
GTK_PLOT_MM |  |
GTK_PLOT_CM |  |
GTK_PLOT_INCHES |  |

### struct GtkPlotPoint

    struct GtkPlotPoint {
    };

The GtkPlotPoint struct contains only private data. It should only be accessed through the functions described below.